<?php
    $row = $this->product;
    $lists = $this->lists;
    $tax_value = $this->tax_value;
    $jshopConfig = &JSFactory::getConfig();
    $currency = $this->currency;
    
    JHTML::_('behavior.tooltip');
    jimport('joomla.html.pane');
    JHTML::_('behavior.modal', 'a.modal');
?>
<form action = "index.php?option=com_jshopping&controller=products" method = "post" enctype = "multipart/form-data" name = "adminForm">
   <?php
   $pane =& JPane::getInstance('Tabs');
   echo $pane->startPane('productPane');
   
   foreach($this->languages as $lang){
       $name = "name_".$lang->language;
       $description = "description_".$lang->language;
       $short_description = "short_description_".$lang->language;
       $meta_title = "meta_title_".$lang->language;
       $meta_keyword = "meta_keyword_".$lang->language;
       $meta_description = "meta_description_".$lang->language;
       
       $name_pane = _JSHOP_DESCRIPTION; if ($this->multilang) $name_pane.=" (".$lang->lang.")".'<img class = "tab_image" border = "0" src = "' . JURI::root() . '/administrator/components/com_jshopping/images/flags/' . $lang->lang . '.gif" />';
   
   echo $pane->startPanel($name_pane, $lang->lang.'-page');
   ?>
   
     <div class="col100">
     <table class="admintable" >
       <tr>
         <td class="key" style="width:180px;">
           <?php echo _JSHOP_NAME_PRODUCT;?>
         </td>
         <td>
           <input type = "text" class = "inputbox" size = "80" name = "<?php echo $name?>" value = "<?php echo $row->$name?>" />
         </td>
       </tr>
       <tr>
         <td  class="key">
           <?php echo _JSHOP_PRODUCT_SHORT_DESCRIPTION;?>
         </td>
         <td>
           <textarea name = "<?php print $short_description;?>" cols = "55" rows="5"><?php echo $row->$short_description ?></textarea>
         </td>
       </tr>
       <tr>
         <td  class="key">
           <?php echo _JSHOP_PRODUCT_DESCRIPTION;?>
         </td>
         <td>
           <?php
              $editor = &JFactory::getEditor();
              print $editor->display('description'.$lang->id,  $row->$description , '100%', '350', '75', '20' ) ;
           ?>
         </td>
       </tr>
       <tr>
         <td  class="key">
           <?php echo _JSHOP_PRODUCT_META_TITLE;?>
         </td>
         <td>
           <input type = "text" class = "inputbox" size = "160" name = "<?php print $meta_title; ?>" value = "<?php echo $row->$meta_title;?>" />
         </td>
       </tr>
       <tr>
         <td  class="key">
           <?php echo _JSHOP_PRODUCT_META_DESCRIPTION;?>
         </td>
         <td>
           <input type = "text" class = "inputbox" size = "160" name = "<?php print $meta_description?>" value = "<?php echo $row->$meta_description?>" />
         </td>
       </tr>
       <tr>
         <td  class="key">
           <?php echo _JSHOP_PRODUCT_META_KEYWORD;?>
         </td>
         <td>
           <input type = "text" class = "inputbox" size = "160" name = "<?php print $meta_keyword?>" value = "<?php print $row->$meta_keyword?>" />
         </td>
       </tr>
     </table>
     </div>
     <div class="clr"></div>
   <?php
  echo $pane->endPanel();
   }
   echo $pane->startPanel(_JSHOP_INFO_PRODUCT, 'main-page');
   ?>
    <div class="col100">
     <table class="admintable" width="90%">
     <tr>
       <td class="key" style="width:180px;">
         <?php echo _JSHOP_PUBLISH;?>
       </td>
       <td>
         <input type = "checkbox" name = "product_publish" id = "product_publish" value = "1" <?php if ($row->product_publish) echo 'checked = "checked"'?> />
       </td>
     </tr>
     <tr>
       <td class="key">
         <?php echo _JSHOP_PRODUCT_NETTO_PRICE;?>
       </td>
       <td>
         <input type = "text" name = "product_price_net" id = "product_price_net" value = "<?php echo round($row->product_price / (1 + $tax_value / 100),2)?>" onkeyup = "updateGross()" /> <?php echo $currency->currency_code;?>
         <?php echo JHTML::tooltip(_JSHOP_PRODUCT_PRICE_EXAMPLE);?>
       </td>
     </tr>
     <tr>
       <td class="key">
         <?php echo _JSHOP_PRODUCT_BRUTTO_PRICE;?>
       </td>
       <td>
         <input type = "text" name = "product_price" id = "product_price" value = "<?php echo $row->product_price?>" onkeyup = "updateNet()" /> <?php echo $currency->currency_code; ?>
         <?php echo JHTML::tooltip(_JSHOP_PRODUCT_PRICE_EXAMPLE);?>
       </td>
     </tr>
     <tr>
       <td class="key">
         <?php echo _JSHOP_PRODUCT_ADD_PRICE;?>
       </td>
       <td>
         <input type = "checkbox" name = "product_is_add_price" id = "product_is_add_price" value = "1" <?php if ($row->product_is_add_price) echo 'checked = "checked"';?>  onclick = "showHideAddPrice()" />
       </td>
     </tr>
     <tr id = "tr_add_price">
        <td class="key"><?php echo _JSHOP_PRODUCT_ADD_PRICE;?></td>
         <td>
            <table id = "table_add_price" class = "adminlist">
            <thead>
                <tr>
                    <th>
                        <?php echo _JSHOP_PRODUCT_QUANTITY_START;?>    
                    </th>
                    <th>
                        <?php echo _JSHOP_PRODUCT_QUANTITY_FINISH;?>    
                    </th>
                    <th>
                        <?php echo _JSHOP_DISCOUNT;?>
                        (<?php if ($jshopConfig->product_price_qty_discount==1) echo $currency->currency_code; else print "%";?>)    
                    </th>
                    <th>
                        <?php echo _JSHOP_PRODUCT_PRICE;?> (<?php echo $currency->currency_code;?>)
                    </th>                    
                    <th>
                        <?php echo _JSHOP_DELETE;?>    
                    </th>
                </tr>
                </thead>                
                <?php 
                $add_prices = $row->product_add_prices;
                $count = count($add_prices);
                for ($i = 0; $i < $count; $i++){
                    if ($jshopConfig->product_price_qty_discount==1){
                        $_add_price = $row->product_price - $add_prices[$i]->discount;
                    }else{
                        $_add_price = $row->product_price - ($row->product_price * $add_prices[$i]->discount / 100);
                    }
                    $_add_price = number_format($_add_price,2,".","");
                    ?>
                    <tr id="add_price_<?php print $i?>">
                        <td>
                            <input type = "text" name = "quantity_start[]" id="quantity_start_<?php print $i?>" value = "<?php echo $add_prices[$i]->product_quantity_start;?>" />    
                        </td>
                        <td>
                            <input type = "text" name = "quantity_finish[]" id="quantity_finish_<?php print $i?>" value = "<?php echo $add_prices[$i]->product_quantity_finish;?>" />    
                        </td>
                        <td>
                            <input type = "text" name = "product_add_discount[]" id="product_add_discount_<?php print $i?>" value = "<?php echo $add_prices[$i]->discount;?>" onkeyup="productAddPriceupdateValue(<?php print $i?>)" />    
                        </td>
                        <td>
                            <input type = "text" id="product_add_price_<?php print $i?>" value = "<?php echo $_add_price;?>" onkeyup="productAddPriceupdateDiscount(<?php print $i?>)" />
                        </td>
                        <td align="center">
                            <a href="#" onclick="delete_add_price(<?php print $i?>);return false;"><img src="images/publish_x.png" border="0"/></a>
                        </td>
                    </tr>
                    <?php
                }
                ?>                
            </table>
            <table  class = "adminlist">
            <tr>
                <td align = "right">
                    <input class = "button" type = "button" name = "add_new_price" onclick = "addNewPrice()" value = "<?php echo _JSHOP_PRODUCT_ADD_PRICE_ADD;?>" />
                </td>
            </tr>
            </table>
            <script type="text/javascript">
            <?php 
            print "var add_price_num = $i;";
            print "var config_product_price_qty_discount = ".$jshopConfig->product_price_qty_discount.";";
            ?>             
            </script>
        </td>
     </tr>
     <tr>
       <td class="key">
         <?php echo _JSHOP_PRODUCT_OLD_PRICE;?>
       </td>
       <td>
         <input type = "text" name = "product_old_price" id = "product_old_price" value = "<?php echo $row->product_old_price?>" />
       </td>
     </tr>
     <tr>
       <td class="key">
         <?php echo _JSHOP_PRODUCT_BUY_PRICE;?>
       </td>
       <td>
         <input type = "text" name = "product_buy_price" id = "product_buy_price" value = "<?php echo $row->product_buy_price?>" />
       </td>
     </tr>
     <tr>
       <td class="key">
         <?php echo _JSHOP_PRODUCT_WEIGHT;?>
       </td>
       <td>
         <input type = "text" name = "product_weight" id = "product_weight" value = "<?php echo $row->product_weight?>" />
       </td>
     </tr>
     <tr>
       <td class="key">
         <?php echo _JSHOP_EAN_PRODUCT;?>
       </td>
       <td>
         <input type = "text" name = "product_ean" id = "product_ean" value = "<?php echo $row->product_ean?>" onkeyup="updateEanForAttrib()"; />
       </td>
     </tr>
     <tr>
       <td class="key">
         <?php echo _JSHOP_QUANTITY_PRODUCT;?>
       </td>
       <td>
         <input type = "text" name = "product_quantity" id = "product_quantity" value = "<?php echo $row->product_quantity?>" />
         <?php echo JHTML::tooltip(_JSHOP_QUANTITY_PRODUCT_INFO);?>
       </td>
     </tr>
     <!--<tr>
       <td class="key"><?php echo _JSHOP_AVILABILITY_PRODUCT;?></td>
       <td>
         <input type = "text" name = "product_availability" id = "product_availability" value = "<?php echo $row->product_availability?>" size="80" />
         <?php echo JHTML::tooltip(_JSHOP_AVILABILITY_PRODUCT_INFO);?>
       </td>
     </tr>-->
     <tr>
       <td class="key"><?php echo _JSHOP_URL_PRODUCT;?></td>
       <td>
         <input type = "text" name = "product_url" id = "product_url" value = "<?php echo $row->product_url?>" size="80" />
       </td>
     </tr>
     <tr>
       <td class="key">
         <?php echo _JSHOP_TEMPLATE_PRODUCT;?>
       </td>
       <td>
         <?php echo $lists['templates'];?>
       </td>
     </tr>
     <tr>
       <td class="key">
         <?php echo _JSHOP_NAME_TAX;?>
       </td>
       <td>
         <?php echo $lists['tax'];?>
       </td>
     </tr>
     <tr>
       <td class="key">
         <?php echo _JSHOP_NAME_MANUFACTURER;?>
       </td>
       <td>
         <?php echo $lists['manufacturers'];?>
       </td>
     </tr>
     <tr>
       <td class="key">
         <?php echo _JSHOP_CATEGORIES;?>
       </td>
       <td>
         <?php echo $lists['categories'];?>
       </td>
     </tr>
   </table>
   </div>
   <div class="clr"></div>
   <?php
  echo $pane->endPanel();
   echo $pane->startPanel(_JSHOP_ATTRIBUTES, 'attribs-page');
   if (count($lists['all_attributes'])){
   ?>
    <script type="text/javascript">
        var attrib_ids = new Array();
        var attrib_exist = new Object();
        var lang_error_attribute = "<?php print _JSHOP_ERROR_ADD_ATTRIBUTE; ?>";
        var lang_attribute_exist = "<?php print _JSHOP_ATTRIBUTE_EXIST; ?>";
        var folder_image_attrib = "<?php print $jshopConfig->image_attributes_live_path?>";
        <?php $i=0; foreach($lists['all_attributes'] as $key=>$value){ ?>
            attrib_ids[<?php print $i++;?>] = "<?php echo $value->attr_id ?>";            
       <?php } ?>
       var attrib_images = new Object();
       
       <?php 
       
       foreach($lists['attribs_values'] as $k=>$v){?>       
       attrib_images[<?php print $v->value_id?>] = "<?php print $v->image?>";
       <?php
       }
       $attr_tmp_row_num = 0;
       if (count($lists['attribs'])){
           
           foreach($lists['attribs'] as $k=>$v){
               $attr_tmp_row_num++;
               print "attrib_exist[".$attr_tmp_row_num."]={};\n";
               foreach($lists['all_attributes'] as $key=>$value){
                    $tmp_field = "attr_".$value->attr_id;
                    $tmp_val = $v->$tmp_field;
                    print "attrib_exist[".$attr_tmp_row_num."][".$value->attr_id."]='".$tmp_val."';\n";
               }
           
           }
       }
       print "var attr_tmp_row_num = $attr_tmp_row_num;\n";
       ?>       
       </script>
       
       <table class = "adminlist" id="list_attr_value">
       <thead>
       <tr>
       <?php foreach($lists['all_attributes'] as $key=>$value){ ?>
            <th width="120"><?php echo $value->name?></th>
       <?php } ?>
            <th width="120"><?php print _JSHOP_PRICE." (".$currency->currency_code.")"; ?></th>
            <!--<th width="120"><?php print _JSHOP_PRODUCT_BUY_PRICE." (".$currency->currency_code.")"; ?></th>-->
            <th width="120"><?php print _JSHOP_QUANTITY_PRODUCT ?></th>
            <th width="120"><?php print _JSHOP_EAN_PRODUCT ?></th>            
            <th><?php print _JSHOP_DELETE?></th>            
       </tr>
       </thead>       
       <?php
       if (count($lists['attribs'])){
           $attr_tmp_row_num = 0;
           foreach($lists['attribs'] as $k=>$v){
               $attr_tmp_row_num++;
               print "<tr id='attr_row_".$attr_tmp_row_num."'>";
               foreach($lists['all_attributes'] as $key=>$value){                        
                    $tmp_field = "attr_".$value->attr_id;
                    $tmp_val = $v->$tmp_field;
                    $tmp_val_val = $lists['attribs_values'][$tmp_val]->name;
                    $image_ = "";
                    if ($lists['attribs_values'][$tmp_val]->image!=''){
                        $image_ = "<img src='".$jshopConfig->image_attributes_live_path."/".$lists['attribs_values'][$tmp_val]->image."' align='left' hspace='5' width='16' height='16' style='margin-right:5px;' class='img_attrib'>";
                    }
                    print "<td><input type='hidden' name='attrib_id[".$value->attr_id."][]' value='".$tmp_val."'>".$image_.$tmp_val_val."</td>";
               }
               print "<td><input type='text' name='attrib_price[]' value='".$v->price."'></td>";
               //print "<td><input type='text' name='attrib_buy_price[]' value='".$v->buy_price."'></td>";
               print "<td><input type='text' name='attr_count[]' value='".$v->count."'></td>";
               print "<td><input type='text' name='attr_ean[]' value='".$v->ean."'></td>";
               print "<td><a href='#' onclick=\"deleteTmpRowAttrib('".$attr_tmp_row_num."');return false;\"><img src='images/publish_x.png' border='0'></a></td>";
               print "</tr>";
           }
       }
       ?>
       </table>
       <br/>
       <div class="col width-55">
        <fieldset class="adminform" style="margin-left:0px;">
        <legend><?php echo _JSHOP_ADD_ATTRIBUT?></legend>
            <table class="admintable">
            <?php foreach($lists['all_attributes'] as $key=>$value){ ?>
                <tr>
                    <td class="key"><?php echo $value->name?></td>
                    <td><?php echo $value->values_select;?> <img src="images/blank.png" id='preview_attr_img_<?=$value->attr_id?>' width="16" height="16"></td>
                </tr>    
            <?php } ?>
            <tr>
                <td class="key"><?php print _JSHOP_PRICE; ?></td>
                <td><input type="text" id="attr_price" value="<?php echo $row->product_price?>" style="width:100px;"> <?php print $currency->currency_code?></td>
            </tr>
            <!--<tr>
                <td class="key"><?php print _JSHOP_PRODUCT_BUY_PRICE; ?></td>
                <td><input type="text" id="attr_buy_price" value="<?php echo $row->product_buy_price?>" style="width:100px;"> <?php print $currency->currency_code?></td>
            </tr>-->
            <tr>
                <td class="key"><?php print _JSHOP_QUANTITY_PRODUCT ?></td>
                <td><input type="text" id="attr_count"  style="width:100px;" value="1"></td> 
            </tr>
            <tr>
                <td class="key"><?php print _JSHOP_EAN_PRODUCT ?></td>
                <td><input type="text" id="attr_ean" style="width:100px;" value="<?php echo $row->product_ean?>"></td>
            </tr>
            <tr>
                <td></td>
                <td>
                <div style="width:100px;text-align:right;">
                <input type = "button" onclick = "addAttributValue()" value = "<?php echo _JSHOP_ADD?>" />
                </div>
                </td>
            </tr>            
            </table>
            
       </div>
       <div class="clr"></div>
       <br/>
   <?php
   }
   ?>
   <a href="index.php?option=com_jshopping&controller=attributes" target="_blank"><img src="components/com_jshopping/images/jshop_attributes_s.png" border='0' align="left" style="margin-right:5px"><?php print _JSHOP_LIST_ATTRIBUTES;?></a>
  <?php 
  echo $pane->endPanel();
   echo $pane->startPanel(_JSHOP_PRODUCT_IMAGES, 'product_images');
   ?>
   <table >
       <tr>
           <?php
              $i = 0;
              $count_in_row = 5;
              if (count($lists['images']))
              foreach ($lists['images'] as $image){
              ?>
                  <td style = "vertical-align: top; text-align: center;">
                  <div id="foto_product_<?php print $image->image_id?>">
                    <div style="padding-bottom:5px;padding-right:5px;">
                        <a class="modal" href="<?php echo $jshopConfig->image_product_live_path . '/' . $image->image_full ?>" rel="{handler: 'image'}">
                        <img style = "cursor:pointer" src = "<?php echo $jshopConfig->image_product_live_path . '/' . $image->image_thumb ?>" alt = "" />
                        </a>
                    </div>
                    <input type = "radio" name = "set_main_image" id = "set_main_image_<?php echo $image->image_id?>" value = "<?php echo $image->image_id?>" <?php if ($row->product_thumb_image == $image->image_thumb) echo 'checked = "checked"';?>/> <label for = "set_main_image_<?php echo $image->image_id?>"><?php echo _JSHOP_SET_MAIN_IMAGE;?></label>
                    <div class="link_delete_foto"><a href="#" onclick="if (confirm('<?php print _JSHOP_DELETE_IMAGE;?>')) deleteFotoProduct('<?php echo $image->image_id?>');return false;"><img src="images/publish_x.png"> <?php print _JSHOP_DELETE_IMAGE;?></a></div>                  
                  </div>
                  </td>
              <?php
               if (++$i % $count_in_row == 0) echo '</tr><tr>';
              }
           ?>
       </tr>
   </table>
   <div style="height:10px;"></div>
   <div class="col width-45">
        <fieldset class="adminform">
        <legend><?php echo _JSHOP_UPLOAD_IMAGE?></legend>
        <div style="height:4px;"></div>
        <?php
           for ($i = 0; $i < 10; $i++){
             echo '<div style="padding-bottom:6px;"><input type = "file" name = "product_image_'.$i.'" /></div>';
           }
        ?>        
        </fieldset>
    </div>
    
    <div class="col width-55">
    
        <fieldset class="adminform">
        <legend><?php echo _JSHOP_IMAGE_THUMB_SIZE?></legend>
            <table class="tmiddle"><tr>
            <td><input type = "radio" name = "size_im_product" id = "size_1" checked = "checked" onclick = "setDefaultSize(<?php echo $jshopConfig->image_product_width; ?>,<?php echo $jshopConfig->image_product_height; ?>, 'product')" value = "1" /></td>
            <td><label for = "size_1"><?php echo _JSHOP_IMAGE_SIZE_1;?></label></td>
            </tr></table>
            <table class="tmiddle"><tr>
            <td><input type = "radio" name = "size_im_product" value = "3" id = "size_3" onclick = "setOriginalSize('product')" value = "3"/></td>
            <td><label for = "size_3"><?php echo _JSHOP_IMAGE_SIZE_3;?></label></td>
            </tr></table>
            <table class="tmiddle"><tr>
            <td><input type = "radio" name = "size_im_product" id = "size_2" onclick = "setManualSize('product')" value = "2" /></td>
            <td><label for = "size_2"><?php echo _JSHOP_IMAGE_SIZE_2;?></label></td>
            <td> <?php echo JHTML::tooltip(_JSHOP_IMAGE_SIZE_INFO)?></td>
            </tr></table>            
            <?php echo _JSHOP_IMAGE_WIDTH?><br />
            <input type = "text" id = "product_width_image" name = "product_width_image" value = "<?php echo $jshopConfig->image_product_width?>" disabled = "disabled" /><br />
            <?php echo _JSHOP_IMAGE_HEIGHT?><br />
            <input type = "text" id = "product_height_image" name = "product_height_image" value = "<?php echo $jshopConfig->image_product_height?>" disabled = "disabled" />
        </fieldset>
        
        <fieldset class="adminform">
        <legend><?php echo _JSHOP_IMAGE_SIZE ?></legend>
            </tr></table>
            <table class="tmiddle"><tr>
            <td><input type = "radio" name = "size_full_product" id = "size_full_1" onclick = "setDefaultSize(<?php echo $jshopConfig->image_product_full_width; ?>,<?php echo $jshopConfig->image_product_full_height; ?>, 'product_full')" value = "1" checked = "checked" /></td>
            <td><label for = "size_full_1"><?php echo _JSHOP_IMAGE_SIZE_1;?></label></td>
            </tr></table>
            <table class="tmiddle"><tr>
            <td><input type = "radio" name = "size_full_product" id = "size_full_3" onclick = "setFullOriginalSize('product_full')" value = "3" /></td>
            <td><label for = "size_full_3"><?php echo _JSHOP_IMAGE_SIZE_3;?></label></td>
            </tr></table>
            <table class="tmiddle"><tr>
            <td><input type = "radio" name = "size_full_product" id = "size_full_2" onclick = "setFullManualSize('product_full')" value = "2"/></td>
            <td><label for = "size_full_2"><?php echo _JSHOP_IMAGE_SIZE_2;?></label></td>
            <td> <?php echo JHTML::tooltip(_JSHOP_IMAGE_SIZE_INFO)?></td>
            </tr></table>            
            <?php echo _JSHOP_IMAGE_WIDTH?><br />
            <input type = "text" id = "product_full_width_image" name = "product_full_width_image" value = "<?php echo $jshopConfig->image_product_full_width; ?>" disabled = "disabled" /><br />
            <?php echo _JSHOP_IMAGE_HEIGHT?><br />
            <input type = "text" id = "product_full_height_image" name = "product_full_height_image" value = "<?php echo $jshopConfig->image_product_full_height; ?>" disabled = "disabled" />
        </fieldset>
        
    </div>
    <div class="clr"></div>
    <br/>
    <div class="helpbox">
        <div class="head"><?php echo _JSHOP_ABOUT_UPLOAD_FILES;?></div>
        <div class="text">
            <?php print _JSHOP_IMAGE_UPLOAD_EXT_INFO?><br/>
            <?php print sprintf(_JSHOP_SIZE_FILES_INFO, ini_get("upload_max_filesize"), ini_get("post_max_size"));?>
        </div>
    </div>
   <?php
  echo $pane->endPanel();
  echo $pane->startPanel(_JSHOP_PRODUCT_VIDEOS, 'product_videos');
   ?>
   <table><tr>
    <?php foreach ($lists['videos'] as $video){ 
        if (!$video->video_preview) $video->video_preview = "video.gif";
    ?>
        <td style="padding-right:5px;">
        <div id="video_product_<?php print $video->video_id?>">
            <div style="padding-bottom:5px;"><img width="80" src = "<?php echo $jshopConfig->video_product_live_path."/".$video->video_preview ?>" /></div>
            <div class="link_delete_foto"><a href="#" onclick="if (confirm('<?php print _JSHOP_DELETE_VIDEO;?>')) deleteVideoProduct('<?php echo $video->video_id?>');return false;"><img src="images/publish_x.png"> <?php print _JSHOP_DELETE_VIDEO;?></a></div>
        </div>
        </td>
    <?php } ?>
    </tr></table>
    <div class="col100">
    <table class="admintable" >
        <?php for ($i = 0; $i < 3; $i++){?>
        <tr>
            <td class="key" style="width:250px;"><?php print _JSHOP_UPLOAD_VIDEO?></td>
            <td><input type = "file" name = "product_video_<?php print $i;?>" /></td>
        </tr>
        <tr>
            <td class="key"><?php print _JSHOP_UPLOAD_VIDEO_IMAGE?></td>
            <td><input type = "file" name = "product_video_preview_<?php print $i;?>" /></td>
        </tr>
        <tr>
            <td style="height:5px;font-size:1px;">&nbsp;</td>
        </tr>
        <?php }?>
    </table>
    </div>
    <div class="clr"></div>
    <br/>
    <div class="helpbox">
        <div class="head"><?php echo _JSHOP_ABOUT_UPLOAD_FILES;?></div>
        <div class="text">
            <?php print sprintf(_JSHOP_SIZE_FILES_INFO, ini_get("upload_max_filesize"), ini_get("post_max_size"));?>
        </div>
    </div>
   <?php
  echo $pane->endPanel();

   echo $pane->startPanel(_JSHOP_PRODUCT_RELATED, 'product_related');
   ?>       
   <div class="col100">
     <table class="admintable" >
     <tr>
       <td class="key" style="width:180px;">
         <?php echo _JSHOP_PRODUCTS_RELATED?>
       </td>
       <td>
            <table cellspacing="0" cellpadding="0"><tr>    
            <td><?php echo $lists['related'];?></td>
            <td style="vertical-align:top"> <?php echo JHTML::tooltip(_JSHOP_PRODUCT_RELATED_INFO);?></td>
            </tr></table>
       </td>
     </tr>
     <tr>
       <td class="key">
         <?php echo _JSHOP_PRODUCTS_RELATED_IN_ROW?>
       </td>
       <td>
         <input type = "text" class = "inputbox" name="product_count_related" value = "<?php echo $row->product_count_related?>" />
       </td>
     </tr>
   </table>
   </div>
   <div class="clr"></div>
   <?php
  echo $pane->endPanel();
  
  echo $pane->startPanel(_JSHOP_DEMO_FILE, 'product_demo');
  ?>
   <div class="col100">
     <table class="admintable" >
     <tr>
       <td class="key" style="width:180px;">
         <?php echo _JSHOP_DEMO_FILE;?>
       </td>
       <td>
         <input type = "file" name = "product_download_file" />
       </td>
     </tr>
     <?php if ($row->product_download_file) {?>
     <tr>
       <td class="key">
       </td>
       <td>
         <div id="demo_file_product">
            <?php echo $row->product_download_file?> <a href="#" title="<?php print _JSHOP_DELETE;?>" onclick="if (confirm('<?php print _JSHOP_DELETE;?>')) deleteDemoFileProduct('<?php echo $row->product_id?>');return false;"><img src="images/publish_x.png" border="0"></a>
         </div>
       </td>
     </tr>
     <?php }?>
     <tr>
       <td class="key">
         <?php echo _JSHOP_DESCRIPTION_DEMO_FILE;?>
       </td>
       <td>
         <input type = "text" size="100" name = "product_download_description" value = "<?php echo $row->product_download_description?>"/>
       </td>
     </tr>
    </table>
    </div>
   <div class="clr"></div>
   <br/><br/>
   <div class="helpbox">
        <div class="head"><?php echo _JSHOP_ABOUT_UPLOAD_FILES;?></div>
        <div class="text">
            <?php print sprintf(_JSHOP_SIZE_FILES_INFO, ini_get("upload_max_filesize"), ini_get("post_max_size"));?>
        </div>
    </div>
   <?php
   echo $pane->endPanel();
    
   echo $pane->endPane();
   ?>     
   <input type = "hidden" name = "task" value = "<?php echo JRequest::getVar('task', 0)?>" />
   <input type = "hidden" name = "current_cat" value = "<?php echo JRequest::getVar('current_cat', 0)?>" />
   <input type = "hidden" name = "product_id" value = "<?php echo $row->product_id?>" />             
</form>
<script type = "text/javascript">
function submitbutton(pressbutton){
    if (pressbutton == 'save' || pressbutton == 'apply'){
        if (isEmpty($F_('product_width_image')) && isEmpty($F_('product_height_image'))){
           alert ('<?php echo _JSHOP_WRITE_SIZE_BAD?>');
        } else if ($_('category_id').selectedIndex == -1){
           alert ('<?php echo _JSHOP_WRITE_SELECT_CATEGORY?>');
        } else if (!parseInt($F_('product_tax_id'))){
           alert ('<?php echo _JSHOP_SELECT_TAX?>');
        } else {
            submitform(pressbutton);
        }
    } else {
        submitform(pressbutton);
    }
}
 
function showHideAddPrice(){
     $_('tr_add_price').style.display = ($_('product_is_add_price').checked)  ? ('') : ('none');
}
showHideAddPrice();
</script>